// priority: 0

console.info('Hello, World! (You will see this line every time client resources reload)')

onEvent('jei.hide.items', event => {
	let h = (block) => {
		event.hide(block)
	}
	
	h('mysticalagriculture:infusion_crystal')

	h('extrautilitiesrebirth:double_compressed_cobblestone')

	//compressed blocks
	h('compressium:cobblestone_1')
	h('compressium:gravel_1')
	h('compressium:sand_1')
	h('compressium:dirt_1')
	h('extrautilitiesrebirth:compressed_cobblestone')
	h('extrautilitiesrebirth:double_compressed_cobblestone')
	h('extrautilitiesrebirth:triple_compressed_cobblestone')
	h('extrautilitiesrebirth:quadruple_compressed_cobblestone')
	h('extrautilitiesrebirth:quintuple_compressed_cobblestone')
	h('extrautilitiesrebirth:sextuple_compressed_cobblestone')
	h('extrautilitiesrebirth:septuple_compressed_cobblestone')
	h('extrautilitiesrebirth:octuple_compressed_cobblestone')
	h('extrautilitiesrebirth:compressed_gravel')
	h('extrautilitiesrebirth:double_compressed_gravel')
	h('extrautilitiesrebirth:compressed_sand')
	h('extrautilitiesrebirth:double_compressed_sand')
	h('compressium:gravel_1')
	h('compressium:sand_1')
	h('compressium:dirt_1')
	h('extrautilitiesrebirth:compressed_dirt')
	h('extrautilitiesrebirth:double_compressed_dirt')
	h('extrautilitiesrebirth:triple_compressed_dirt')
	h('extrautilitiesrebirth:quadruple_compressed_dirt')
	h('extrastorage:storagepart_256k')
	h('extrastorage:storagepart_1024k')
	h('extrastorage:storagepart_4096k')
	h('allthemodium:teleport_pad')
	//sieves
	h('exnihilosequentia:warped_sieve')
	h('exnihilosequentia:crimson_sieve')
	h('exnihilosequentia:spruce_sieve')
	h('exnihilosequentia:jungle_sieve')
	h('exnihilosequentia:dark_oak_sieve')
	h('exnihilosequentia:birch_sieve')
	h('exnihilosequentia:acacia_sieve')
	h('excompressum:spruce_heavy_sieve')
	h('excompressum:birch_heavy_sieve')
	h('excompressum:jungle_heavy_sieve')
	h('excompressum:acacia_heavy_sieve')
	h('excompressum:dark_oak_heavy_sieve')
	//trash cans
	h('extrautilitiesrebirth:trash_can')
	h('extrautilitiesrebirth:trash_can_energy')
	h('extrautilitiesrebirth:trash_can_fluid')
	h('compressium:soulsand_1')
	//wooden tools
	/*h('minecraft:wooden_sword')
  h('minecraft:wooden_axe')
  h('minecraft:wooden_pickaxe')
  h('minecraft:wooden_hoe')
  h('minecraft:wooden_shovel')
	//cobblestone tools
	h('minecraft:stone_sword')
	h('minecraft:stone_axe')
	h('minecraft:stone_pickaxe')
	h('minecraft:stone_hoe')
	h('minecraft:stone_shovel')
	//iron tools
	h('minecraft:iron_sword')
	h('minecraft:iron_axe')
	h('minecraft:iron_pickaxe')
	h('minecraft:iron_hoe')
	h('minecraft:iron_shovel')
	//golden tools
	h('minecraft:golden_sword')
	h('minecraft:golden_axe')
	h('minecraft:golden_pickaxe')
	h('minecraft:golden_hoe')
	h('minecraft:golden_shovel')
	//diamond tools
	h('minecraft:diamond_sword')
	h('minecraft:diamond_axe')
	h('minecraft:diamond_pickaxe')
	h('minecraft:diamond_hoe')
	h('minecraft:diamond_shovel')
	//netherite tools
	h('minecraft:netherite_sword')
	h('minecraft:netherite_axe')
	h('minecraft:netherite_pickaxe')
	h('minecraft:netherite_hoe')
	h('minecraft:netherite_shovel')*/
})